Dash appears under full screen apps

Bug #763680 reported by Rick Spencer on 2011-04-17
158
This bug affects 31 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Sam Spilsbury
unity (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: unity

Steps:
1. Start with a fresh login
2. Hit the meta key, type "term", and hit enter. This proves that the dash is working normally.
3. In the terminal, hit F11 to put it in full screen mode.
4. Tap the meta key

Result:
You can see the dash through the terminal if you have kept the translucent terminal background. The Dash has focus. You must click the terminal to give it focus, and then hit F11 to make the Dash work normally again. If you switch to another workspace, the Dash works normally.

You can also reproduce this with Firefox, but of course you can't see the Dash through Firefox.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.8.8-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
Date: Sun Apr 17 08:02:51 2011
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2010-12-08 (130 days ago)

Changed in unity (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in unity:
status: New → Confirmed
Didier Roche (didrocks) wrote :

Dash/Launcher, I think the recent stack fix of compiz is doing that.

Changed in unity:
importance: Undecided → Medium
milestone: none → 3.8.10
Didier Roche (didrocks) wrote :

(btw, it will be hard to discuss on which applications they should appear above and for which they shouldn't. Think about games for instance)

Didier Roche (didrocks) on 2011-04-18
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
Didier Roche (didrocks) on 2011-04-19
Changed in unity:
status: Confirmed → Triaged
Didier Roche (didrocks) on 2011-04-19
Changed in unity:
milestone: 3.8.10 → 3.8.12
David Barth (dbarth) on 2011-04-22
Changed in unity:
assignee: Sam "SmSpillaz" Spilsbury (smspillaz) → Jason Smith (jassmith)
milestone: 3.8.12 → 3.8.14

It started to happen here, too. Dash (and lenses) are appearing in background, even if the app is not full-screen.
Screenshot attached.
Is there a way to restart unity "window manager" (launcher, panel, etc) without logging out? I have a lot of apps running and I do not want to stop them.

Neil J. Patel (njpatel) on 2011-05-25
Changed in unity:
assignee: Jason Smith (jassmith) → Neil J. Patel (njpatel)

Romano, "unity --replace" is the command you're looking for. It does help me to workaround this bug when it occurs.

David Barth (dbarth) on 2011-05-31
Changed in unity:
milestone: 3.8.14 → 3.8.16
David Barth (dbarth) wrote :

Neil: can you comment to indicate whether you have an idea of the origin of the issue? ie whether you think a fix is at reach for SRU3 or not. Thanks

Changed in unity:
milestone: 3.8.16 → 3.8.18
Robertev (robertev) wrote :

I don't know... all I know is that I loved to use Ubuntu 10.10... when I upgraded to Ubuntu 11.04... I can not open several applications at the same time, because then it appears a wihite screen. I have to resize the window smaller in order to make it work.
Now I am working in windows, but I really miss Ubuntu 10.04. Can you tell me how can I re-install Ubuntu 10.04 ??
Thanks.

DavidJB (davidjb) wrote :

I'm seeing a similar issue with the Dash appearing under *all* windows, not just the ones that are full screen. Unsure when this starts happening for me (will keep an eye on it) but running 'unity --replace' solves the issue, at least until it happens again.

I'm running 11.04 64-bit with Unity 3.8.16, and the issue happened on my machine with both ATI and Nvidia proprietary drivers and gfx cards.

Alistair Buxton (a-j-buxton) wrote :

The reverse sometimes happens: If you switch to another workspace and select a previously unfocussed window, then switch back to the workspace with the fullscreen window, the dash will now be above the fullscreen window. No matter how much you click in the fullscreen window, the dash will remain above it. There is no way to reraise the fullscreen window/hide the dash once this happens, unless you have a dual monitor setup. Then you can click on the background of the other monitor and then click on the fullscreen window.

Paul d'Aoust (paul) wrote :

I can confirm the behaviour David JB is seeing -- it doesn't happen all the time, and doesn't seem to be reproducible, but Compiz (both the Dash and the various launcher overlays) appear underneath windows and steal focus. It doesn't matter for me if the window is full-screen, maximized, or un-maximized.

Using Ubuntu 11.04 64-bit, Compiz 3.8.16, on an Intel 3400 series onboard a Core i3.

Matt Hulse (matt-hulse) wrote :

I have the same problem as David JB and Paul d'Aoust. It is recorded in this bug as well: https://bugs.launchpad.net/unity/+bug/754532

Omer Akram (om26er) wrote :

This bug has been fixed in Oneiric Ocelot and it seems the change was a little bigger to be considered for an SRU

Changed in unity:
assignee: Neil J. Patel (njpatel) → Sam Spilsbury (smspillaz)
milestone: 3.8.18 → none
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: Triaged → Fix Released

What does it mean ?   How do I fix it???

Robert.

________________________________
De: Omer Akram <email address hidden>
Para: <email address hidden>
Enviado: Jueves, septiembre 1, 2011 6:24 A.M.
Asunto: [Bug 763680] Re: Dash appears under full screen apps

This bug has been fixed in Oneiric Ocelot and it seems the change was a
little bigger to be considered for an SRU

** Changed in: unity
      Status: Triaged => Fix Released

** Changed in: unity
    Milestone: 3.8.18 => None

** Changed in: unity
    Assignee: Neil J. Patel (njpatel) => Sam Spilsbury (smspillaz)

** Changed in: unity (Ubuntu)
      Status: Triaged => Fix Released

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/763680

Title:
  Dash appears under full screen apps

Status in Unity:
  Fix Released
Status in “unity” package in Ubuntu:
  Fix Released

Bug description:
  Binary package hint: unity

  Steps:
  1. Start with a fresh login
  2. Hit the meta key, type "term", and hit enter. This proves that the dash is working normally.
  3. In the terminal, hit F11 to put it in full screen mode.
  4. Tap the meta key

  Result:
  You can see the dash through the terminal if you have kept the translucent terminal background. The Dash has focus. You must click the terminal to give it focus, and then hit F11 to make the Dash work normally again. If you switch to another workspace, the Dash works normally.

  You can also reproduce this with Firefox, but of course you can't see
  the Dash through Firefox.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.04
  Package: unity 3.8.8-0ubuntu2
  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
  Uname: Linux 2.6.38-8-generic i686
  NonfreeKernelModules: wl
  Architecture: i386
  CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
  Date: Sun Apr 17 08:02:51 2011
  InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329)
  ProcEnviron:
  LANGUAGE=en_US:en
  LANG=en_US.UTF-8
  SHELL=/bin/bash
  SourcePackage: unity
  UpgradeStatus: Upgraded to natty on 2010-12-08 (130 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/unity/+bug/763680/+subscriptions

Omer Akram (om26er) wrote :

It means the issue will be fixed in the next version of Ubuntu to be
released on 13 October 2011

Robertev (robertev) wrote :

Thanks !!

Robert.

________________________________
De: Omer Akram <email address hidden>
Para: <email address hidden>
Enviado: Jueves, septiembre 1, 2011 7:38 P.M.
Asunto: Re: [Bug 763680] Re: Dash appears under full screen apps

It means the issue will be fixed in the next version of Ubuntu to be
released on 13 October 2011

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/763680

Title:
  Dash appears under full screen apps

Status in Unity:
  Fix Released
Status in “unity” package in Ubuntu:
  Fix Released

Bug description:
  Binary package hint: unity

  Steps:
  1. Start with a fresh login
  2. Hit the meta key, type "term", and hit enter. This proves that the dash is working normally.
  3. In the terminal, hit F11 to put it in full screen mode.
  4. Tap the meta key

  Result:
  You can see the dash through the terminal if you have kept the translucent terminal background. The Dash has focus. You must click the terminal to give it focus, and then hit F11 to make the Dash work normally again. If you switch to another workspace, the Dash works normally.

  You can also reproduce this with Firefox, but of course you can't see
  the Dash through Firefox.

  ProblemType: Bug
  DistroRelease: Ubuntu 11.04
  Package: unity 3.8.8-0ubuntu2
  ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
  Uname: Linux 2.6.38-8-generic i686
  NonfreeKernelModules: wl
  Architecture: i386
  CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
  Date: Sun Apr 17 08:02:51 2011
  InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329)
  ProcEnviron:
  LANGUAGE=en_US:en
  LANG=en_US.UTF-8
  SHELL=/bin/bash
  SourcePackage: unity
  UpgradeStatus: Upgraded to natty on 2010-12-08 (130 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/unity/+bug/763680/+subscriptions

Trent Tschirgi (mourka) wrote :

I also had the blank screens problem described by Robertev in #7 above, after upgrading from Ubuntu 10.10 to 11.04. I may have found a work-around for it;

Work-Around;

Go to Preferences/Power Management/On AC Power
    Setting "Put computer to sleep when inactive"
    Change to "Never."

Go to Preferences/Screensaver
    Select a screensaver (vs default, which is 'blank')
    Uncheck "Lock screen when screensaver is active"

Since making these changes, I have not had the white screen problem.

Non-programmer comments;

I found that blank white windows still contained clickable objects (which I could not see, but that I could activate by hovering the mouse in areas where clickable links should be. A comment box would sometimes pop up on the white screen. Problem is thus likely to be a bug in rewriting the content of the window...

The 'white screen' with loss of all function happened when I left my computer idle for 5 minutes or longer. It seems that Ubuntu locked itself and was probably waiting for me to re-enter my password. However, I could not see the login screen.

Disabling the sleep function and leaving Ubuntu unlocked when the screensaver is active seems to have solved these problems. Glad to hear that this condition has been fixed in Ubuntu 11.10 -- In a few weeks, I may even get the courage to upgrade further ;-)

--Trent T

Trent Tschirgi (mourka) wrote :

White Screens update

Actually, my white screens problem is not completely gone;

There is no white screen problem for at least several hours after logging in.

At some point, an application running in a full-screen window will go white-screen, but the header of its window is still visible.
Hovering the cursor in certain sections of the white screen will bring up comment windows.
Objects are still in the white screens, and they are functional. I just can't see them.
I can grab the header and drag it downward to make it contract into a smaller window.
Almost always, making a smaller window causes the content to become visible again.
Enlarging the application to full screen causes the white screen to return.

Screensaver Does Not Work

Idling the terminal results in a white screen with no borders or features.
With the default installation of 11.04, It was necessary to power off and power on to restore the system.

After I unchecked 'Lock screen when screensaver is active,'
the white screen goes away with a mouse jiggle or any keyboard activity.

This seems to indicate that the screensaver does not work on my installation.

System Notes:

Ubuntu 11.04 stand alone system
Kernel Linux 2.6.38-13
Gnome 2.32.1
Dual Proc Celeron E1200 at 1.6 GHz
nVidia 270.41.06
Graphics Processor: GeForce 7050/nForce 610i
Display; HP L1710

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions